
Redmine - Defect #6273

Error moving Issue states

2010-09-02 14:40 - Jose Javier Sianes Ruiz

Status: Closed Start date: 2010-09-02

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.6

Description

Trying to move position of some issue states (see attached pic), I get this error on Redmine:

Processing IssueStatusesController#move (for 10.240.193.158 at 2010-09-02 14:40:16) [POST]

  Parameters: {"action"=>"move", "authenticity_token"=>"Y66JzAdVI3Dc/HjMt+VMd8xDKMlf2jIUuLjS+OmNRj

U=", "id"=>"15", "controller"=>"issue_statuses", "position"=>"lower"}

ActionController::UnknownAction (No action responded to move. Actions: _index, accept_key_auth_act

ions, attach_files, authorize, authorize_global, check_if_login_required, check_project_privacy, c

reate, current_language, current_menu_item, day_name, default_search_scope, default_search_scopes,

 delete_broken_cookies, deny_access, destroy, edit, filename_for_content_disposition, find_current

_user, find_language, format_date, format_time, index, invalid_authenticity_token, l_hours, l_or_h

umanize, list, ll, logged_user=, menu_items, month_name, new, parse_qvalues, per_page_option, redi

rect_back_or_default, redirect_to_project_menu_item, render_403, render_404, render_error, render_

feed, require_admin, require_login, set_language_if_valid, set_localization, update, update_issue_

closed, update_issue_done_ratio, user_setup, and valid_languages):

  passenger (2.2.11) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  passenger (2.2.11) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:418:in `start_request_hand

ler'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_appli

cation'

  passenger (2.2.11) lib/phusion_passenger/utils.rb:184:in `safe_fork'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_appli

cation'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:163:in `start'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /opt/redmine-0.9.6/public/404.html (404 Not Found)

History

#1 - 2010-09-02 16:53 - Art Mart

thnx

#2 - 2010-09-02 21:05 - Eric Davis
Can this be reproduced in 1.0-stable?

#3 - 2010-09-03 08:30 - Jose Javier Sianes Ruiz

On 1.0.1, when acceding to issue state administration page (http://my_redmine_server/issue_statuses) get this error:

Processing IssueStatusesController#index (for 10.240.193.158 at 2010-09-03 08:31:33) [GET]

  Parameters: {"action"=>"index", "controller"=>"issue_statuses"}

NameError (undefined local variable or method `list' for #<IssueStatusesController:0x2aaab7943298>):

  passenger (2.2.11) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  passenger (2.2.11) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_application'

  passenger (2.2.11) lib/phusion_passenger/utils.rb:184:in `safe_fork'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_application'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:163:in `start'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /opt/redmine-1.0.1/public/500.html (500 Internal Server Error)

#4 - 2010-09-03 14:07 - Jose Javier Sianes Ruiz

- Status changed from New to Resolved

- % Done changed from 0 to 100

Sorry, problems shown above are relative a own plugin implementation we are developing, nothing concern Redmine core application. Changing this

issue as resolved. Thanks for your time and help.

#5 - 2010-09-03 21:31 - Jean-Baptiste Barth

- Status changed from Resolved to Closed

- Resolution set to Invalid

Ok, no problem.

Files
